ModernLoop Internal API
Apigithub

List issues in a repository (includes pull requests; see is_pull_request)

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/github/repos/string/string/issues" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "issues": [    {      "id": 0,      "number": 0,      "title": "string",      "body": "string",      "state": "string",      "state_reason": "string",      "user": {        "login": "string",        "id": 0      },      "labels": [        {          "name": "string",          "color": "string"        }      ],      "assignees": [        {          "login": "string",          "id": 0        }      ],      "comments": 0,      "is_pull_request": true,      "html_url": "string",      "created_at": "string",      "updated_at": "string",      "closed_at": "string"    }  ],  "totalCount": 0}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

owner*string

Repository owner (user or organization)

repo*string

Repository name

Query Parameters

page?integer

Page number (1-based)

Range1 <= value
Default1
perPage?integer

Results per page (max 100)

Range1 <= value <= 100
Default30
state?string

Filter by state

Default"open"

Value in

  • "open"
  • "closed"
  • "all"
labels?string

Comma-separated label names

assignee?string

Assignee login, "none", or "*"

creator?string

Filter by creator login

sort?string

Sort by

Value in

  • "created"
  • "updated"
  • "comments"
direction?string

Sort direction

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json